読者です 読者をやめる 読者になる 読者になる

なか日記

一度きりの人生、楽しく生きよう。

eclipseでAndroid Support Libraryがインストールされていないと怒られた

Android

Eclipse 4.2(Juno)がリリースされた事もあって久しぶりに、SDKやらADT(Android Development Tools)のアップデートをしてみました。

プロジェクト作成時のウィザードもいつも間にかだいぶ変わってますね。

で、ウィザードを進めていくと最後で以下の様にAndroid Support Libraryがインストールされていないというエラーになってしまいました。
f:id:nakaji999:20120812100029p:image:w360
「This template depends on the Android Supprt Library, which is either not installed, or the template depends on a more resent version than the one have intalled.〜以下略〜」

Android SDK Managerで確認すると、インストールはされてるっぽい…
f:id:nakaji999:20120812100030p:image:w360

なんでだろう?とググってみると、以下の様な情報があったので、一旦Android Support Libraryをアンインストールして、再インストールしてみました。
API Only - Stack Exchange

そしたら無事解決。

よくわからんときは入れ直せという事ですね。